Package org.apache.any23.vocab

## Class LKIFCoreMereology

- java.lang.Object
- - org.apache.any23.vocab.Vocabulary
  - - org.apache.any23.vocab.LKIFCoreMereology

-     public class LKIFCoreMereology
      extends Vocabulary

  An implementation of the lkif-core vocabulary which is a library of ontologies relevant for the legal domain. The library consists of 15 modules, each of which describes a set of closely related concepts from both legal and commonsense domains.

  The mereology module defines mereological concepts such as parts and wholes, and typical mereological relations such as part of, component of, containment, membership etc.

  Author:
    lewismc

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `org.eclipse.rdf4j.model.IRI` | `Atom` |
    `org.eclipse.rdf4j.model.IRI` | `component` |
    `org.eclipse.rdf4j.model.IRI` | `component_of` |
    `org.eclipse.rdf4j.model.IRI` | `composed_of` |
    `org.eclipse.rdf4j.model.IRI` | `composes` |
    `org.eclipse.rdf4j.model.IRI` | `Composition` |
    `org.eclipse.rdf4j.model.IRI` | `contained_in` |
    `org.eclipse.rdf4j.model.IRI` | `contains` |
    `org.eclipse.rdf4j.model.IRI` | `direct_part` |
    `org.eclipse.rdf4j.model.IRI` | `direct_part_of` |
    `org.eclipse.rdf4j.model.IRI` | `member` |
    `org.eclipse.rdf4j.model.IRI` | `member_of` |
    `static String` | `NS` | The namespace of the vocabulary as a string.
    `org.eclipse.rdf4j.model.IRI` | `Pair` |
    `org.eclipse.rdf4j.model.IRI` | `part` |
    `org.eclipse.rdf4j.model.IRI` | `Part` |
    `org.eclipse.rdf4j.model.IRI` | `part_of` |
    `org.eclipse.rdf4j.model.IRI` | `strict_part` |
    `org.eclipse.rdf4j.model.IRI` | `strict_part_of` |
    `org.eclipse.rdf4j.model.IRI` | `Whole` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static LKIFCoreMereology` | `getInstance()` |

    - ### Methods inherited from class org.apache.any23.vocab.Vocabulary

      `createClass, createIRI, createProperty, getClass, getClasses, getCommentFor, getComments, getNamespace, getProperties, getProperty, getProperty, getPropertyCamelCase`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NS

          public static final String NS

      The namespace of the vocabulary as a string.
      See Also:
        Constant Field Values

    - #### Atom

          public final org.eclipse.rdf4j.model.IRI Atom

    - #### Composition

          public final org.eclipse.rdf4j.model.IRI Composition

    - #### Pair

          public final org.eclipse.rdf4j.model.IRI Pair

    - #### Part

          public final org.eclipse.rdf4j.model.IRI Part

    - #### Whole

          public final org.eclipse.rdf4j.model.IRI Whole

    - #### component

          public final org.eclipse.rdf4j.model.IRI component

    - #### component_of

          public final org.eclipse.rdf4j.model.IRI component_of

    - #### composed_of

          public final org.eclipse.rdf4j.model.IRI composed_of

    - #### composes

          public final org.eclipse.rdf4j.model.IRI composes

    - #### contained_in

          public final org.eclipse.rdf4j.model.IRI contained_in

    - #### contains

          public final org.eclipse.rdf4j.model.IRI contains

    - #### direct_part

          public final org.eclipse.rdf4j.model.IRI direct_part

    - #### direct_part_of

          public final org.eclipse.rdf4j.model.IRI direct_part_of

    - #### member

          public final org.eclipse.rdf4j.model.IRI member

    - #### member_of

          public final org.eclipse.rdf4j.model.IRI member_of

    - #### part

          public final org.eclipse.rdf4j.model.IRI part

    - #### part_of

          public final org.eclipse.rdf4j.model.IRI part_of

    - #### strict_part

          public final org.eclipse.rdf4j.model.IRI strict_part

    - #### strict_part_of

          public final org.eclipse.rdf4j.model.IRI strict_part_of

  - ### Method Detail

    - #### getInstance

          public static LKIFCoreMereology getInstance()